<?xml version="1.0"?>
<configuration>
  <!-- EnterpriseLibrary相关配置 -->
  <configSections>
    <section name="dataConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Data.Configuration.DatabaseSettings, Microsoft.Practices.EnterpriseLibrary.Data, Version=3.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
    <section name="cachingConfiguration" type="Microsoft.Practices.EnterpriseLibrary.Caching.Configuration.CacheManagerSettings, Microsoft.Practices.EnterpriseLibrary.Caching, Version=3.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" />
  </configSections>
  <!-- 数据库连接字符串列表 -->
  <dataConfiguration defaultDatabase="DefaultString" />
  <connectionStrings>
    <add name="AccessConnString" connectionString="Provider = Microsoft.Jet.OLEDB.4.0 ; Data Source = E:\Web08Shop\SourceCode\V5Shop\V5Shop\V5Shop.Shop\database\#v5shopdb.config" providerName="System.Data.OleDb" />
    <add name="SQLConnString" connectionString="Data Source=192.168.1.99;Initial Catalog=V5Shop;Persist Security Info=True;User ID=v5shop_p;Password=123456" providerName="System.Data.SqlClient" />
    <add name="DefaultString" connectionString="Provider = Microsoft.Jet.OLEDB.4.0 ; Data Source = E:\新建文件夹 (3)\database\#v5shopdb.config" providerName="System.Data.OleDb" />
  </connectionStrings>
  <cachingConfiguration defaultCacheManager="Default Cache Manager">
    <cacheManagers>
      <add expirationPollFrequencyInSeconds="1200" maximumElementsInCacheBeforeScavenging="100" numberToRemoveWhenScavenging="1000" backingStoreName="Null Storage" name="Default Cache Manager" />
    </cacheManagers>
    <backingStores>
      <add encryptionProviderName="" type="Microsoft.Practices.EnterpriseLibrary.Caching.BackingStoreImplementations.NullBackingStore, Microsoft.Practices.EnterpriseLibrary.Caching, Version=3.1.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" name="Null Storage" />
    </backingStores>
  </cachingConfiguration>
  <!-- 当前使用的数据库连接 -->
  <!-- 使用缓存的相关配置 -->
  <!-- 网站运行相关配置 -->
  <appSettings>
    <add key="MaskPage" value="index.aspx|Top.aspx|show.aspx|Left.aspx|lefttop.aspx|Login.aspx|logout.aspx|lefthelp.aspx" />
    <add key="LogKeyFile" value="../App_GlobalResources/AdminLog.resx" />
  </appSettings>
  <location path="." allowOverride="false" inheritInChildApplications="false">
    <system.web>
      <httpRuntime maxRequestLength="2097151" executionTimeout="3600" />
      <!--  注意：此节设置错误信息的显示

          "On" 始终显示自定义(友好的)信息。
          "Off" 始终显示详细的 ASP.NET 错误信息。
          "RemoteOnly" 只对不在本地 Web 服务器上运行的
    -->
      <trace localOnly="false" mostRecent="true" pageOutput="true" />
      <customErrors mode="Off">
      </customErrors>
      <!--  注意：此节设置全球化，V5Shop由此支持多语言。
    -->
      <globalization requestEncoding="utf-8" responseEncoding="utf-8" fileEncoding="utf-8" culture="auto" uiCulture="auto" />
      <!--  注意：此节设置是否使用ASP.net表单安全验证，V5Shop使用自己的验证。
    -->
      <pages validateRequest="false" enableEventValidation="false" enableViewStateMac="false" viewStateEncryptionMode="Never">
        <controls>
          <add tagPrefix="ajax" namespace="System.Web.UI" assembly="System.Web.Extensions" />
        </controls>
        <tagMapping>
          <add tagType="System.Web.UI.WebControls.CompareValidator" mappedTagType="Sample.Web.UI.Compatibility.CompareValidator, Validators, Version=1.0.0.0" />
          <add tagType="System.Web.UI.WebControls.CustomValidator" mappedTagType="Sample.Web.UI.Compatibility.CustomValidator, Validators, Version=1.0.0.0" />
          <add tagType="System.Web.UI.WebControls.RangeValidator" mappedTagType="Sample.Web.UI.Compatibility.RangeValidator, Validators, Version=1.0.0.0" />
          <add tagType="System.Web.UI.WebControls.RegularExpressionValidator" mappedTagType="Sample.Web.UI.Compatibility.RegularExpressionValidator, Validators, Version=1.0.0.0" />
          <add tagType="System.Web.UI.WebControls.RequiredFieldValidator" mappedTagType="Sample.Web.UI.Compatibility.RequiredFieldValidator, Validators, Version=1.0.0.0" />
          <add tagType="System.Web.UI.WebControls.ValidationSummary" mappedTagType="Sample.Web.UI.Compatibility.ValidationSummary, Validators, Version=1.0.0.0" />
        </tagMapping>
      </pages>
      <!--  注意：此节设置由V5Shop接管http请求。不会干涉对非V5Shop路径下的请求。
    -->
      <httpHandlers>
        <remove verb="*" path="*.asmx" />
        <add verb="*" path="*.asmx" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions" />
        <add verb="*" path="*_AppService.axd" validate="false" type="System.Web.Script.Services.ScriptHandlerFactory, System.Web.Extensions" />
        <add verb="GET,HEAD" path="ScriptResource.axd" type="System.Web.Handlers.ScriptResourceHandler, System.Web.Extensions" validate="false" />
      </httpHandlers>
      <httpModules>
        <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions" />
        <add type="V5Shop.Page.HttpModule, V5Shop.Page" name="HttpModule" />
      </httpModules>
      <compilation debug="true">
        <assemblies>
          <add assembly="System.Management, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
          <add assembly="System.Transactions, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
          <add assembly="System.Data.OracleClient, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
          <add assembly="System.Configuration.Install, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
          <add assembly="System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
          <add assembly="System.Data, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
          <add assembly="System, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
          <add assembly="System.Drawing, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
          <add assembly="System.Web, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
          <add assembly="System.Xml, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
          <add assembly="System.Configuration, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
          <add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A" />
          <add assembly="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089" />
        </assemblies>
      </compilation>
    </system.web>
  </location>
</configuration>